import { ApolloClient } from 'apollo-client';
export interface KikstartGraphQLLinkConfig {
    mutationLink?: 'http' | 'ws';
    queryLink?: 'http' | 'ws';
    subscriptionLink?: 'ws';
}
export interface KikstartGraphQLClientConfig extends KikstartGraphQLLinkConfig {
    uri: string;
    wsUri: string;
    wsOptions?: any;
    cache?: any;
    headers?: any;
    log?: any;
}
export declare const createLink: (httpLink: any, wsLink: any, { mutationLink, queryLink, subscriptionLink }: KikstartGraphQLLinkConfig) => any;
export declare const createClient: (httpLink: any, wsLink: any, { uri, wsUri, mutationLink, queryLink, subscriptionLink, cache, headers, log, }: KikstartGraphQLClientConfig) => ApolloClient<unknown>;
